## pk-update-icon 1.0.0

=== Makefile ===
#
# Copyright (C) 2014 Guido Berhoerster <gber@opensuse.org>
#
# Licensed under the GNU General Public License Version 2
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

PACKAGE =	pk-update-icon
APP_NAME =	org.opensuse.pk-update-icon
VERSION =	1
DISTNAME :=	$(PACKAGE)-$(VERSION)

# gcc, clang, icc
MAKEDEPEND.c =	$(CC) -MM $(CFLAGS) $(CPPFLAGS)
# Sun/Solaris Studio
#MAKEDEPEND.c =	$(CC) -xM1 $(CFLAGS) $(CPPFLAGS)
# X makedepend
#MAKEDEPEND.c =	makedepend -f- -Y -- $(CFLAGS) $(CPPFLAGS) --
INSTALL :=	install
INSTALL.exec :=	$(INSTALL) -D -m 0755
INSTALL.data :=	$(INSTALL) -D -m 0644
PAX :=		pax
GZIP :=		gzip
SED :=		sed
MSGFMT :=	msgfmt
INTLTOOL_UPDATE :=	intltool-update
INTLTOOL_MERGE :=	intltool-merge
XSLTPROC :=	xsltproc
DOCBOOK5_MANPAGES_STYLESHEET =	http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl

define generate-manpage-rule =
%.$(1): %.$(1).xml
	$$(XSLTPROC) \
	    --xinclude \
	    --stringparam package $$(PACKAGE) \
	    --stringparam version $$(VERSION)\
	    docbook-update-source-data.xsl $$< | \
	    $$(XSLTPROC) \
	    --xinclude \
	    $$(DOCBOOK5_MANPAGES_FLAGS) \
	    --output $$@ \
	    $$(DOCBOOK5_MANPAGES_STYLESHEET) \
	    -
endef

DESTDIR ?=
prefix ?=	/usr/local
bindir ?=	$(prefix)/bin
datadir ?=	$(prefix)/share
mandir ?=	$(datadir)/man
localedir ?=	$(datadir)/locale
sysconfdir ?=	/etc
xdgautostartdir ?=	$(sysconfdir)/xdg/autostart

OBJS =		main.o pkui-icon.o pkui-backend.o
MANPAGES =	$(PACKAGE).1
AUTOSTART_FILE =	$(PACKAGE).desktop
MOFILES :=	$(patsubst %.po,%.mo,$(wildcard po/*.po))
POTFILE =	po/$(PACKAGE).pot
CPPFLAGS := 	$(shell pkg-config --cflags gtk+-2.0 unique-1.0 libnotify packagekit-glib2) \
		-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE \
		-DPACKAGE="\"$(PACKAGE)\"" \
		-DAPP_NAME=\"$(APP_NAME)\" \
		-DVERSION=\"$(VERSION)\" \
		-DLOCALEDIR="\"$(localedir)\""
LDLIBS :=	$(shell pkg-config --libs gtk+-2.0 unique-1.0 libnotify packagekit-glib2)
DOCBOOK5_MANPAGES_FLAGS =	--stringparam man.authors.section.enabled 0 \
				--stringparam man.copyright.section.enabled 0

.DEFAULT_TARGET = all

.PHONY: all clean clobber dist install

all: $(PACKAGE) $(MANPAGES) $(MOFILES) $(AUTOSTART_FILE)

$(PACKAGE): $(OBJS)
	$(LINK.o) $^ $(LDLIBS) -o $@

$(POTFILE): po/POTFILES.in
	cd po/ && $(INTLTOOL_UPDATE) --pot --gettext-package="$(PACKAGE)"

pot: $(POTFILE)

update-po: $(POTFILE)
	cd po/ && for lang in $(patsubst po/%.mo,%,$(MOFILES)); do \
		$(INTLTOOL_UPDATE) --dist --gettext-package="$(PACKAGE)" \
				   $${lang}; \
	done

%.o: %.c
	$(MAKEDEPEND.c) $< | $(SED) -f deps.sed >$*.d
	$(COMPILE.c) -o $@ $<

$(foreach section,1 2 3 4 5 6 7 8 9,$(eval $(call generate-manpage-rule,$(section))))

%.desktop: %.desktop.in $(MOFILES)
	$(INTLTOOL_MERGE) --desktop-style --utf8 po $< $@

%.mo: %.po
	$(MSGFMT) -o $@ $<

install:
	$(INSTALL.exec) $(PACKAGE) $(DESTDIR)$(bindir)/$(PACKAGE)
	$(INSTALL.data) $(AUTOSTART_FILE) \
			$(DESTDIR)$(xdgautostartdir)/$(AUTOSTART_FILE)
	for lang in $(patsubst po/%.mo,%,$(MOFILES)); do \
		$(INSTALL.data) po/$${lang}.mo \
			$(DESTDIR)$(localedir)/$${lang}/LC_MESSAGES/$(PACKAGE).mo; \
	done
	$(INSTALL.data) $(PACKAGE).1 \
			$(DESTDIR)$(mandir)/man1/$(PACKAGE).1

clean:
	rm -f $(PACKAGE) $(OBJS) $(POTFILE) $(MOFILES) $(MANPAGES) $(AUTOSTART_FILE)

clobber: clean
	rm -f $(patsubst %.o,%.d,$(OBJS))

dist: clobber
	$(PAX) -w -x ustar -s ',.*/\..*,,' -s ',./[^/]*\.tar\.gz,,' \
	    -s ',\./,$(DISTNAME)/,' . | $(GZIP) > $(DISTNAME).tar.gz

-include $(patsubst %.o,%.d,$(OBJS))

=== debian/changelog ===
pk-update-icon (1.0.0-2ubuntu1) vivid; urgency=medium

  * debian/control: Build-depend on docbook-xsl-ns instead of docbook-xsl to
    fix FTBFS while offline.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 24 Feb 2015 13:08:50 +0000

pk-update-icon (1.0.0-2) unstable; urgency=medium

  * Add config snippets for Apt to enable auto-cache-updates

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 22:28:34 +0100

pk-update-icon (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #768471, #710355)

 -- Matthias Klumpp <mak@debian.org>  Fri, 07 Nov 2014 16:08:18 +0100

=== debian/control ===
Source: pk-update-icon
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/pk-update-icon.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/pk-update-icon.git
Build-Depends: debhelper (>= 9.0.0),
               docbook-xsl-ns,
               gnome-packagekit-session,
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtk2.0-dev (>= 2.24),
               libnotify-dev (>= 0.7.6),
               libpackagekit-glib2-dev (>= 0.8.16),
               libunique-dev,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://code.guido-berhoerster.org/projects/pk-update-icon/

Package: pk-update-icon
Architecture: any
Depends: gnome-packagekit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apt-config-auto-update
Description: Displays an update-notification tray icon
 This small tool displays notifications and an icon in the tray area of
 the panel when package updates are available.
 It is primarily designed for desktops which do not already have this
 functionality integrated, such as Xfce.
 .
 Information about updates is queried using the PackageKit service.

Package: apt-config-auto-update
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Apt configuration for automatic cache updates
 This package contains configuration snippets for the Apt
 package manager to have it automatically update its package cache.
 This is especially useful for GUI tools like update-notifiers, which
 do not trigger cache updates on their own.

=== debian/watch ===
version=3
https://code.guido-berhoerster.org/projects/pk-update-icon/ downloads/pk-update-icon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pk-update-icon 2.0.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 PACKAGE =	pk-update-icon
 APP_NAME =	org.opensuse.pk-update-icon
-VERSION =	1
+VERSION =	2
 DISTNAME :=	$(PACKAGE)-$(VERSION)
 
 # gcc, clang, icc
@@ -40,6 +40,7 @@
 INTLTOOL_MERGE :=	intltool-merge
 XSLTPROC :=	xsltproc
 DOCBOOK5_MANPAGES_STYLESHEET =	http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl
+UPDATE_VIEWER_COMMAND =	/usr/bin/gpk-update-viewer
 
 define generate-manpage-rule =
 %.$(1): %.$(1).xml
@@ -75,7 +76,8 @@
 		-DPACKAGE="\"$(PACKAGE)\"" \
 		-DAPP_NAME=\"$(APP_NAME)\" \
 		-DVERSION=\"$(VERSION)\" \
-		-DLOCALEDIR="\"$(localedir)\""
+		-DLOCALEDIR="\"$(localedir)\"" \
+		-DUPDATE_VIEWER_COMMAND="\"$(UPDATE_VIEWER_COMMAND)\""
 LDLIBS :=	$(shell pkg-config --libs gtk+-2.0 unique-1.0 libnotify packagekit-glib2)
 DOCBOOK5_MANPAGES_FLAGS =	--stringparam man.authors.section.enabled 0 \
 				--stringparam man.copyright.section.enabled 0

=== debian/changelog ===
pk-update-icon (2.0.0-1) unstable; urgency=medium

  * New upstream release: 2.0.0

 -- Matthias Klumpp <mak@debian.org>  Wed, 12 Aug 2015 14:36:26 +0200

pk-update-icon (1.0.0-3) unstable; urgency=medium

  * Don't use deprecated Apt options (Closes: #778869)
  * Build-depend on docbook-xsl-ns instead of docbook-xsl
    - Closes: #779257
  * a-c-auto-update: Break/Replace update-notifier-common
    - Closes: #779661

 -- Matthias Klumpp <mak@debian.org>  Sat, 25 Apr 2015 15:08:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pk-update-icon
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/pk-update-icon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/pk-update-icon.git
 Build-Depends: debhelper (>= 9.0.0),
@@ -36,6 +35,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: update-notifier-common (<= 0.99.3debian11~)
+Breaks: update-notifier-common (<= 0.99.3debian11~)
 Description: Apt configuration for automatic cache updates
  This package contains configuration snippets for the Apt
  package manager to have it automatically update its package cache.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Define install directory
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --parallel

override_dh_auto_install:
	# update icon
	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr
	# Apt config
	install -m0755 -d $(INSTALLDIR)/etc/apt/apt.conf.d/
	install -m0644 $(CURDIR)/debian/apt/10periodic $(INSTALLDIR)/etc/apt/apt.conf.d/
	install -m0644 $(CURDIR)/debian/apt/15update-stamp $(INSTALLDIR)/etc/apt/apt.conf.d/
	install -m0644 $(CURDIR)/debian/apt/20archive $(INSTALLDIR)/etc/apt/apt.conf.d/

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
https://code.guido-berhoerster.org/projects/pk-update-icon/downloads/pk-update-icon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
